wxIconizeEvent(3)

NAME
wxIconizeEvent - An event being sent when the frame is iconized (minimized) or restored.

DESCRIPTION

See:

    • Overview events

    • wxTopLevelWindow:iconize/2

    • wxTopLevelWindow:isIconized/1

This class is derived, and can use functions, from:

    • wxEvent

wxWidgets docs: wxIconizeEvent

  Events

Use wxEvtHandler:connect/3 with wxIconizeEventType to subscribe to events of this type.

DATA TYPES

wxIconize() :: #wxIconize{}.
wxIconizeEvent() :: wx:wx_object().
wxIconizeEventType() :: iconize.

FUNCTIONS

isIconized(This) -> boolean() when This :: wxIconizeEvent().

    Returns true if the frame has been iconized, false if it has been restored.